<?php

namespace Treewec;

/**
 * Test class for URLFactory.
 * Generated by PHPUnit on 2012-09-03 at 17:35:02.
 * @group url
 */
class URLFactoryTest extends \PHPUnit_Framework_TestCase {

    private $urlToRoot;

    protected function setUp() {
        $builder = URLBuilder::getEmptyURLBuilder();
        $this->urlToRoot = $builder->build();
    }

    public function testGetLink() {
        parent::assertEquals($this->urlToRoot, URLFactory::getLink(new \Exception()));
        parent::assertEquals($this->urlToRoot, URLFactory::getLink(''));
        
        if (TREEWEC_URL_REWRITE) {
            parent::assertEquals($this->urlToRoot . 'teams/', URLFactory::getLink('teams/'));
        } else {
            parent::assertEquals($this->urlToRoot . '?path=teams/', URLFactory::getLink('teams/'));
        }
    }

}

?>
